> ## Documentation Index
> Fetch the complete documentation index at: https://anything.notte.cc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Build and deploy a marketplace function

> Streams Server-Sent Events. `progress` data is `{ message }`; `result` data is `{ data: MarketplaceBuildResult }`; `error` data is `{ error }`.



## OpenAPI

````yaml https://anything.notte.cc/api/marketplace/openapi.json post /api/marketplace/build
openapi: 3.1.0
info:
  title: Notte Marketplace API
  version: 1.0.0
  description: >-
    Public marketplace discovery APIs and authenticated build/run APIs. The JSON
    Schema components are generated from the shared marketplace contract used by
    both HTTP and MCP.
servers: []
security: []
paths:
  /api/marketplace/build:
    post:
      summary: Build and deploy a marketplace function
      description: >-
        Streams Server-Sent Events. `progress` data is `{ message }`; `result`
        data is `{ data: MarketplaceBuildResult }`; `error` data is `{ error }`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarketplaceBuildInput'
      responses:
        '200':
          description: Build progress and one terminal result or error event.
          content:
            text/event-stream:
              schema:
                type: string
          x-sse-events:
            progress:
              $ref: '#/components/schemas/MarketplaceBuildProgressEventData'
            result:
              $ref: '#/components/schemas/MarketplaceBuildResultEventData'
            error:
              $ref: '#/components/schemas/MarketplaceBuildErrorEventData'
        '400':
          description: Invalid build request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketplaceError'
        '401':
          description: A Notte API key bearer token is required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketplaceError'
      security:
        - notteApiKey: []
components:
  schemas:
    MarketplaceBuildInput:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        query:
          type: string
          minLength: 1
      required:
        - query
      additionalProperties: false
    MarketplaceError:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        error:
          type: string
      required:
        - error
      additionalProperties: false
  securitySchemes:
    notteApiKey:
      type: http
      scheme: bearer
      bearerFormat: NOTTE_API_KEY
      description: 'A Notte API key supplied as `Authorization: Bearer <NOTTE_API_KEY>`.'

````